curl --request GET \
--url https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/bookingsimport requests
url = "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/bookings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": [
{
"id": 123,
"uid": "booking_uid_123",
"title": "Consultation",
"description": "Learn how to integrate scheduling into marketplace.",
"hosts": [
{
"id": 1,
"name": "Jane Doe",
"email": "jane100@example.com",
"displayEmail": "jane100@example.com",
"username": "jane100",
"timeZone": "America/Los_Angeles"
}
],
"status": "accepted",
"start": "2024-08-13T15:30:00Z",
"end": "2024-08-13T16:30:00Z",
"duration": 60,
"eventTypeId": 50,
"eventType": {
"id": 1,
"slug": "some-event"
},
"location": "https://example.com/meeting",
"absentHost": true,
"createdAt": "2024-08-13T15:30:00Z",
"updatedAt": "2024-08-13T15:30:00Z",
"attendees": [
{
"name": "John Doe",
"email": "john@example.com",
"displayEmail": "john@example.com",
"timeZone": "America/New_York",
"absent": false,
"language": "en",
"phoneNumber": "+1234567890"
}
],
"bookingFieldsResponses": {
"customField": "customValue"
},
"cancellationReason": "User requested cancellation",
"cancelledByEmail": "canceller@example.com",
"reschedulingReason": "User rescheduled the event",
"rescheduledByEmail": "rescheduler@example.com",
"rescheduledFromUid": "previous_uid_123",
"rescheduledToUid": "new_uid_456",
"meetingUrl": "https://example.com/recurring-meeting",
"metadata": {
"key": "value"
},
"rating": 4,
"icsUid": "ics_uid_123",
"guests": [
"guest1@example.com",
"guest2@example.com"
]
}
],
"pagination": {
"totalItems": 123,
"remainingItems": 103,
"returnedItems": 10,
"itemsPerPage": 10,
"currentPage": 2,
"totalPages": 13,
"hasNextPage": true,
"hasPreviousPage": true
}
}Get organization team bookings
Required membership role: team admin. PBAC permission: booking.readTeamBookings. Learn more about API access control at https://cal.com/docs/api-reference/v2/access-control. If accessed using an OAuth access token, the TEAM_BOOKING_READ scope is required.
Headers
For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_
For platform customers - OAuth client secret key
For platform customers - OAuth client ID
Query Parameters
Filter bookings by status. If you want to filter by multiple statuses, separate them with a comma.
1upcoming, recurring, past, cancelled, unconfirmed "?status=upcoming,past"
Filter bookings by the attendee's email address.
"example@domain.com"
Filter bookings by the attendee's name.
"John Doe"
Filter bookings by the booking Uid.
"2NtaeaVcKfpmSZ4CthFdfk"
Filter bookings by event type ids. Event type ids must be separated by a comma.
"?eventTypeIds=100,200"
Filter bookings by event type id.
"?eventTypeId=100"
Filter bookings with start after this date string.
"?afterStart=2025-03-07T10:00:00.000Z"
Filter bookings with end before this date string.
"?beforeEnd=2025-03-07T11:00:00.000Z"
Filter bookings that have been created after this date string.
"?afterCreatedAt=2025-03-07T10:00:00.000Z"
Filter bookings that have been created before this date string.
"?beforeCreatedAt=2025-03-14T11:00:00.000Z"
Filter bookings that have been updated after this date string.
"?afterUpdatedAt=2025-03-07T10:00:00.000Z"
Filter bookings that have been updated before this date string.
"?beforeUpdatedAt=2025-03-14T11:00:00.000Z"
Sort results by their start time in ascending or descending order.
asc, desc "?sortStart=asc OR ?sortStart=desc"
Sort results by their end time in ascending or descending order.
asc, desc "?sortEnd=asc OR ?sortEnd=desc"
Sort results by their creation time (when booking was made) in ascending or descending order.
asc, desc "?sortCreated=asc OR ?sortCreated=desc"
Sort results by their updated time (for example when booking status changes) in ascending or descending order.
asc, desc "?sortUpdatedAt=asc OR ?sortUpdatedAt=desc"
The number of items to return
1 <= x <= 25010
The number of items to skip
x >= 00
Response
success, error "success"
Array of booking data, which can contain either BookingOutput objects or RecurringBookingOutput objects
- Booking
- Recurring Booking
- Seated Booking
- Recurring Seated Booking
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?